Bug 61906 - pxe & mtftp packages not available on IA64 redhat linux, dhcpd not rescent enough to be compatible with pxe
pxe & mtftp packages not available on IA64 redhat linux, dhcpd not rescent en...
Product: Red Hat Linux
Classification: Retired
Component: dhcp (Show other bugs)
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Elliot Lee
Depends On:
  Show dependency treegraph
Reported: 2002-03-25 16:16 EST by Nitin Kamble
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-15 10:51:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nitin Kamble 2002-03-25 16:16:13 EST
Description of Problem:
There are no pxe and mtptp rpms in ia64 redhat linux distribution. Also the 
dhcpd daemon is required to be updated from www.isc.org to comply with pxe 

Because of this the ia64 linux machine can not be a pxe boot server.

Actual Results:
Not available componentes

Expected Results:
should have these components and working.

Additional Information:
There wasn't any way to submit requests for pxe and mtftp, so I am adding them 
in dhcp component.
Comment 1 Bill Nottingham 2002-04-15 10:51:53 EDT
We can certainly look at this for future ia64 releases.
Comment 2 Elliot Lee 2002-06-21 11:51:58 EDT
Given the fact that the dev86 package only is available on x86 platforms, it's not likely that  
this is going to happen.
Comment 3 Rob Landry 2002-06-28 15:26:11 EDT
Question; what is the dependancy on dev86?
Comment 4 Elliot Lee 2002-06-28 16:00:26 EDT
It has to build all the PXE bootstrap stuff (under /tftpboot/X86PC/UNDI) from source.

There are no theoretical barriers to making dev86 fully portable, but I spent a few hours 
attempting to do so and ran into lots of grotty code that is probably a week or two from 
running on 64-bit systems (can you say "gratuitous use of 'long'"? :).
Comment 5 Rob Landry 2002-07-12 16:21:16 EDT
Now that it's been a bit.  Do we know what it's going to take to get this done.
 And how long that might take?

Note You need to log in before you can comment on or make changes to this bug.